Skip to main content
POST
/
voice
/
boost-list
/
extract
curl -X POST "https://api.case.dev/voice/boost-list/extract" \ -H "Authorization: Bearer $CASEDEV_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "vault_id": "<string>", "object_ids": [ "<string>" ], "text": "<string>" }'
{
  "items": [
    {
      "word": "<string>",
      "category": "<string>"
    }
  ],
  "source_ids": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Body

application/json

Source documents or text for entity extraction

vault_id
string

Vault ID containing the source documents (use with object_ids)

object_ids
string[]

Object IDs of documents to extract entities from (PDFs, text files)

text
string

Raw text input for entity extraction (alternative to vault documents)

categories
enum<string>[]

Optional filter for entity categories to extract

Available options:
person,
organization,
legal_term,
medical,
citation,
email

Response

Boost list extracted successfully

items
object[]
source
enum<string>
Available options:
document,
text
source_ids
string[]